import QtQuick 2.0
import org.ukui.sidebar.items 1.0

Rectangle {
    //是否跟随系统主题颜色的透明度
    property bool useStyleTransparency: true;
    //背景颜色枚举值，从调色板中取得
    property int paletteRole: PaletteRole.Window;
    property int paletteGroup: PaletteRole.Active;
    property real alpha: 1.0;

    clip: true;
    function updateColor() {
        if (useStyleTransparency) {
            color = themePalette.paletteColorWithTransparency(paletteRole, paletteGroup);
        } else {
            color = themePalette.paletteColorWithCustomTransparency(paletteRole, paletteGroup, alpha);
        }
    }

    //监听系统主题变化
    onUseStyleTransparencyChanged: {
        updateColor();
    }

    onPaletteGroupChanged: {
        updateColor();
    }

    onPaletteRoleChanged: {
        updateColor();
    }

    onAlphaChanged: {
        updateColor();
    }

    Component.onCompleted: {
        updateColor();
        themePalette.styleColorChanged.connect(updateColor);
    }

    Component.onDestruction: {
        themePalette.styleColorChanged.disconnect(updateColor);
    }
}
